logo_url: "/img/logos/logo.png"

local_backend: true

backend:
  name: git-gateway
  branch: main

media_folder: "assets/uploads"
public_folder: "/assets/uploads"

collections:
  - name: "galleries"
    label: "Galleries"
    files:
      - name: "gallery"
        label: "Home Gallery"
        file: "assets/gallery/gallery.json"
        format: "json"
        fields:
          - name: images
            label: Images
            widget: list
            field:
              name: src
              label: Image
              widget: image
              media_folder: "/assets/gallery/uploads"
              public_folder: "/assets/gallery/uploads"

      - name: "penfriendship"
        label: "Penfriendship"
        file: "assets/penfriendship/penfriendship.json"
        format: "json"
        fields:
          - name: images
            label: Images
            widget: list
            field:
              name: src
              label: Image
              widget: image
              media_folder: "/assets/penfriendship/uploads"
              public_folder: "/assets/penfriendship/uploads"

      - name: "students"
        label: "Students"
        file: "assets/students/students.json"
        format: "json"
        fields:
          - name: images
            label: Images
            widget: list
            field:
              name: src
              label: Image
              widget: image
              media_folder: "/assets/students/uploads"
              public_folder: "/assets/students/uploads"

  - name: "sections"
    label: "Sections"
    files:
      - name: "calendar"
        label: "Calendar"
        file: "assets/calendar/calendar.json"
        format: "json"
        fields:
          - name: academicYear
            label: Academic Year
            widget: string

          - name: image
            label: Image
            widget: image
            media_folder: "/assets/calendar/uploads"
            public_folder: "/assets/calendar/uploads"

      - name: "timetable"
        label: "Timetable"
        file: "assets/timetable/timetable.json"
        format: "json"
        fields:
          - name: academicYear
            label: Academic Year
            widget: string

          - name: image
            label: Image
            widget: image
            media_folder: "/assets/timetable/uploads"
            public_folder: "/assets/timetable/uploads"

      - name: "prices"
        label: "Prices"
        file: "assets/prices/prices.json"
        format: "json"
        fields:
          - name: academicYear
            label: Academic Year
            widget: string

          - name: image
            label: Image
            widget: image
            media_folder: "/assets/prices/uploads"
            public_folder: "/assets/prices/uploads"

      - name: "discounts"
        label: "Discounts"
        file: "assets/discounts/discounts.json"
        format: "json"
        fields:
          - name: academicYear
            label: Academic Year
            widget: string

          - name: image
            label: Image
            widget: image
            media_folder: "/assets/discounts/uploads"
            public_folder: "/assets/discounts/uploads"